using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplicationADOnet01
{
    public partial class ADONET01 : Form
    {
        public ADONET01()
        {
            InitializeComponent();
        }

        // Viser hvordan man henter data fra databasen
        private void hentVarer()
        {
            System.Data.IDbConnection con;
            //string connectionName = "DSN=VARESALG"; 
            //con = new System.Data.Odbc.OdbcConnection(connectionName);
            string connectionName = "Provider=Microsoft.Jet.OLEDB.4.0;"
                                   + @"Data Source=..\..\..\Varesalg.mdb;"
                                   + "Jet OLEDB:Database Password=;";
            con = new System.Data.OleDb.OleDbConnection(connectionName);

            con.Open();
            System.Data.IDbCommand cmd = con.CreateCommand();
            cmd.CommandText = "SELECT * FROM Vare";
            System.Data.IDataReader dataReader = cmd.ExecuteReader();
            while (dataReader.Read())
            {

                textBoxLog.AppendText(dataReader["Betegnelse"].ToString());
                textBoxLog.AppendText(" "+dataReader["AktuelSalgspris"].ToString());
                textBoxLog.AppendText("\r\n");
            }
            dataReader.Close();
            con.Close();
        }

        // Viser hvordan man opdaterer data i databasen
        // Tilsvarende kan man lave sql INSERT og DELETE
        private void updateVare()
        {
            System.Data.IDbConnection con;
            string connectionName = "Provider=Microsoft.Jet.OLEDB.4.0;"
                                   + @"Data Source=..\..\..\Varesalg.mdb;"
                                   + "Jet OLEDB:Database Password=;";
            con = new System.Data.OleDb.OleDbConnection(connectionName);

            con.Open();

            System.Data.IDbTransaction transaktion = con.BeginTransaction();
            System.Data.IDbCommand cmd = con.CreateCommand();
            cmd.Transaction = transaktion;

            cmd.CommandText = "UPDATE Vare SET AktuelSalgspris=AktuelSalgspris*1.1 "
                            + "WHERE ID=1";

            int antal = cmd.ExecuteNonQuery();

            //...............   flere opdateringer ................

            if (checkBoxRollback.Checked)       // simuleret fejl - roolback
                transaktion.Rollback();
            else
                transaktion.Commit();

            con.Close();
        }


        private void buttonHentVarer_Click(object sender, EventArgs e)
        {
            hentVarer();
        }

        private void buttonUpdateVare_Click(object sender, EventArgs e)
        {
            updateVare();
            hentVarer();
        }
    }
}